OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
InternalNode< _ChildNodeType, Log2Dim >::SameConfiguration< OtherNodeType > Struct Template Reference

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of an InternalNode with the same dimensions as this node and whose ChildNodeType has the same configuration as this node's ChildNodeType. More...

`#include <openvdb/tree/InternalNode.h>`

## Static Public Attributes
static const bool | value

## Detailed Description

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherNodeType>
struct openvdb::v11_0::tree::InternalNode< _ChildNodeType, Log2Dim >::SameConfiguration< OtherNodeType >

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of an InternalNode with the same dimensions as this node and whose ChildNodeType has the same configuration as this node's ChildNodeType.

## Member Data Documentation

## ◆ value

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherNodeType >

const bool value
| static

Initial value:
=
SameInternalConfig<ChildNodeType, Log2Dim, OtherNodeType>::value
openvdb::v11_0::tree::SameInternalConfig::value
static const bool value
Definition InternalNode.h:809